Sentiments
List
GET
/surveymodules/{moduleId}/surveys/{surveyId}/instances/{instanceId}/sentiments
https://api.relesysapp.net/api/v1.4/surveymodules/{moduleId}/surveys/{surveyId}/instances/{instanceId}/sentiments
Get a list of sentiments for open-ended answers for survey instance with
Please note: Tracking Survey feature must be enabled for the account, Sentiment Analysis must be enabled for the module, and questions should be configured for Sentiment Analysis. If no questions are configured, the endpoint will return an empty response. Otherwise status code
Anonymous surveys: when the survey has anonymity enabled, every sentiment is returned with
instanceId
in the survey with surveyId, within the module moduleId.
Sentiment types:
- Positive
- Neutral
- Negative
- Mixed
creationDateTime in ascending order.Please note: Tracking Survey feature must be enabled for the account, Sentiment Analysis must be enabled for the module, and questions should be configured for Sentiment Analysis. If no questions are configured, the endpoint will return an empty response. Otherwise status code
400 - Bad Request will be returned.Anonymous surveys: when the survey has anonymity enabled, every sentiment is returned with
userId = null,
and any question with fewer than 5 distinct respondents is omitted from the response to preserve respondent anonymity.
Filtering or sorting by userId on an anonymous survey is not permitted and returns 400 - Bad Request.
Scopes: relesys.api, relesys.api:read, relesys.api.survey, relesys.api.survey:read
URL Path
| moduleId | string / guid | The module's unique identifier | required | |
| surveyId | string / guid | The survey's unique identifier | required | |
| instanceId | string / guid | The survey instance's unique identifier | required |
Query String
| answerId | string / guid |
Filterable
|
optional | |
| answerText | string |
Filterable Sortable
|
optional | |
| creationDateTime | datetimeoffset |
Filterable Sortable
|
optional | |
| id | string / guid |
Filterable
|
optional | |
| lastModifiedDateTime | datetimeoffset |
Filterable Sortable
|
optional | |
| questionId | string / guid |
Filterable
|
optional | |
| sentimentType | string |
Filterable Sortable
|
optional | |
| userId | string / guid |
Filterable
|
optional | |
| sort | string | Comma separated sort order based on sortable properties | optional | |
| offset | integer | Offset value for use in pagination | Default: 0 | optional |
| limit | integer | Total objects to fetch (max 1000) | Default: 200 | optional |